MCP Gateway
ApiOauth app templates

List OAuth app templates

Return all available OAuth app templates for supported providers (GitHub, Google, Slack, etc.). Templates are read-only provider configurations.

GET
/api/v1/oauth-templates

Response Body

application/json

curl -X GET "https://loading/api/v1/oauth-templates"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "type": "github",
      "name": "string",
      "icon": "string",
      "auth_url": "string",
      "token_url": "string",
      "user_info_url": "string",
      "default_scopes": [
        "string"
      ],
      "pkce_required": true,
      "token_endpoint_auth_method": "client_secret_post",
      "additional_params": {},
      "setup_instructions": "string",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0
}